Subject: Re: linux-next: Tree for Mar 30 (bpf)

From: KP Singh <[email-masked]>
Date: Mon, 30 Mar 2020 20:49:32 +0200

On 30-Mar 20:05, KP Singh wrote:
> On 30-Mar 19:54, KP Singh wrote:
> 
> So, it looks like bpf_tracing_func_proto is only defined when
> CONFIG_BPF_EVENTS is set:
> 
>         obj-$(CONFIG_BPF_EVENTS) += bpf_trace.o
> 
> We have a few options:
> 
> * Add a __weak symbol for bpf_tracing_func_proto which we have done in
>   the past for similar issues. This however, does not make much sense,
>   as CONFIG_BPF_LSM cannot really do much without its helpers.
> * Make CONFIG_BPF_LSM depend on CONFIG_BPF_EVENTS, this should solve
>   it, but not for this particular Kconfig that was generated. Randy,
>   I am assuming if we add the dependency, this particular Kconfig
>   won't be generated.
> 
> I am assuming this patch now needs to be sent for "bpf" and not
> "bpf-next" as the merge window has opened?

I am wrong, I will send the patch targeted for "bpf-next" and they
will be applied after merge window closes (and the -next tree opens).

Apologies for the confusion.

- KP

> 
> - KP
> 
> > Thanks for adding me Daniel, taking a look.
> > 
> > - KP
> > 
> > On Mon, Mar 30, 2020 at 7:25 PM Daniel Borkmann <[email-masked]> wrote:
> > >
> > > [Cc KP, ptal]
> > >
> > > On 3/30/20 7:15 PM, Randy Dunlap wrote:
> > > > On 3/30/20 2:43 AM, Stephen Rothwell wrote:
> > > >> Hi all,
> > > >>
> > > >> The merge window has opened, so please do not add any material for the
> > > >> next release into your linux-next included trees/branches until after
> > > >> the merge window closes.
> > > >>
> > > >> Changes since 20200327:
> > > >
> > > > (note: linux-next is based on linux 5.6-rc7)
> > > >
> > > >
> > > > on i386:
> > > >
> > > > ld: kernel/bpf/bpf_lsm.o:(.rodata+0x0): undefined reference to `bpf_tracing_func_proto'
> > > >
> > > >
> > > > Full randconfig file is attached.
> > > >
> > >